//
//  Board.h
//  tictactoe
//
//  Created by VENKAT SUBRAMANIAM on 11/30/10.
//  Copyright 2010 Agile Developer, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface Board : NSObject {
	int pegs[3][3];
}

@property (nonatomic) BOOL nextPegIsX;
@property (nonatomic) BOOL pegPlaced;
@property (nonatomic) BOOL firstPlayerSet;

-(void) initialize;
-(BOOL) isGameOver;
-(void) setFirstPlayerPegIsX: (BOOL) isX;
-(BOOL) isFirstPlayerPegX;
-(void) placePegAtRow: (NSInteger) row column: (NSInteger) column;
-(BOOL) isPegXAtRow: (NSInteger) row column: (NSInteger) column;
-(BOOL) isNextPegX;
  
@end
