//
//  tictactoeViewController.m
//  tictactoe
//
//  Created by VENKAT SUBRAMANIAM on 11/30/10.
//  Copyright 2010 Agile Developer, Inc. All rights reserved.
//

#import "tictactoeViewController.h"

@implementation tictactoeViewController

@synthesize board;

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	self.board = [[Board alloc] init];
	[self.board setFirstPlayerPegIsX: TRUE];
    [super viewDidLoad];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	self.board = nil;
    [super dealloc];
}

-(IBAction) buttonClick: (UIButton*) button {
	if ([self.board isGameOver]) return;
	
	int tag = [button tag];
	
	int row = 0;
	if (tag >= 3) row = 1;
	if (tag >= 6) row = 2;

	int column = tag % 3;
	
	NSString* peg = @"O";
	if ([self.board isNextPegX]) peg = @"X";
	[self.board placePegAtRow: row column: column];
	[button setTitle: peg forState: UIControlStateNormal];
	[button setEnabled: NO];
	
	if ([board isGameOver]) {
		[[[[UIAlertView alloc] initWithTitle: @"Win" message: [NSString stringWithFormat: @"Game won by %@", peg] delegate: nil cancelButtonTitle: nil otherButtonTitles: nil] autorelease] show];
	}
}

@end
